Bug 56958 - ports with non-conforming version numbers
ports with non-conforming version numbers
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-17 18:30 UTC by eikemeier
Modified: 2003-10-23 13:58 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description eikemeier 2003-09-17 18:30:16 UTC
The following ports have a hyphen in their version number:

DougB@FreeBSD.org:
	mail/p5-Mail-SpamAssassin-snapshot	2.60-rc3 => 2.60.rc3

gj@FreeBSD.org:
	editors/xemacs-devel	21.5-b11 => 21.5.b11

khera@kciLink.com
	mail/postfix-current	2.0.14-20030812 => 2.0.14.20030812

kiwi@oav.net
	www/caudium-devel	1.3.18-20030711 => 1.3.18.20030711

ler@lerctr.org
	net/arts++	1-1-a8 => 1.1.a8
	net/cflowd	2-1-b1 => 2.1.b1

orlando.bassotto@ieo-research.it
	emulators/vmware3	3.2.1-2237 => 3.2.1.2237

ports@FreeBSD.org
	devel/cdk	4.9.10-20020809 => 4.9.10.20020809
	lang/elisp-manual	21-2.8 => 21.2.8

neither pkg_version nor portupgrade see the part of the version
before the last '-', i.e. lang/elisp-manual is considered to be
version 2.8, 22-1.7 would be regarded as a previous version.

Fix: 

bump PORTEPOCH and change the version numbers as show above
Comment 1 ceri freebsd_committer 2003-09-18 20:23:46 UTC
Adding to audit trail, from misfiled PR ports/56959:

Date: Wed, 17 Sep 2003 12:25:37 -0500
From: Larry Rosenman <ler@lerctr.org>
Message-Id: <215700000.1063819537@lerlaptop-red.iadfw.net>
References: <3F689879.6090003@fillmore-labs.com>

 permission granted to commit the requested fix for my 2 ports.
 
 LER
 
 -- 
 Larry Rosenman                     http://www.lerctr.org/~ler
 Phone: +1 972-414-9812                 E-Mail: ler@lerctr.org
 US Mail: 1905 Steamboat Springs Drive, Garland, TX 75044-6749
Comment 2 ceri freebsd_committer 2003-09-18 20:24:07 UTC
Adding to audit trail, from misfiled PR ports/56965:

Date: Wed, 17 Sep 2003 17:37:06 -0700 (PDT)
From: Doug Barton <DougB@FreeBSD.org>
Message-Id: <20030917173548.Y60292@12-234-22-23.pyvrag.nggov.pbz>
References: <3F689879.6090003@fillmore-labs.com>

 On Wed, 17 Sep 2003, Oliver Eikemeier wrote:
 
 >
 > DougB@FreeBSD.org:
 > 	mail/p5-Mail-SpamAssassin-snapshot	2.60-rc3 => 2.60.rc3
 
 If you took a look at the cvs logs, I said specifically that I broke
 this on purpose, so that when the new version is released the -snapshot
 port can be re-purposed, and the "real" port will bark at people to
 upgrade.
 
 Doug
 
 -- 
 
     This .signature sanitized for your protection
Comment 3 eikemeier 2003-09-18 21:55:52 UTC
Doug Barton wrote:

> On Wed, 17 Sep 2003, Oliver Eikemeier wrote:
> 
>>DougB@FreeBSD.org:
>>	mail/p5-Mail-SpamAssassin-snapshot	2.60-rc3 => 2.60.rc3
> 
> If you took a look at the cvs logs, I said specifically that I broke
> this on purpose, so that when the new version is released the -snapshot
> port can be re-purposed, and the "real" port will bark at people to
> upgrade.

Sorry that I didn't check the cvs logs. I hope everybody else will.
Comment 4 Edwin Groothuis freebsd_committer 2003-10-08 04:04:09 UTC
Hello,

Could you all please have a look at PR/56958 and give your approval
on it:
	http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/56958

Edwin

-- 
Edwin Groothuis
edwin@freebsd.org
http://www.mavetju.org
Comment 5 Edwin Groothuis freebsd_committer 2003-10-08 04:04:46 UTC
The following four are done:

	ler@lerctr.org
		net/arts++	1-1-a8 => 1.1.a8
		net/cflowd	2-1-b1 => 2.1.b1

	ports@FreeBSD.org
		devel/cdk	4.9.10-20020809 => 4.9.10.20020809
		lang/elisp-manual	21-2.8 => 21.2.8

-- 
Edwin Groothuis
edwin@freebsd.org
http://www.mavetju.org
Comment 6 khera 2003-10-08 15:02:42 UTC
I'm gonna submit an update to the port and include the version number
fix as well.
Comment 7 garyj 2003-10-08 19:49:46 UTC
Edwin Groothuis writes:
> Hello,
> 
> Could you all please have a look at PR/56958 and give your approval
> on it:
> 	http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/56958
> 

OK, I've just fixed the xemacs-devel port.

---
Gary Jennejohn / garyj[at]jennejohn.org gj[at]freebsd.org gj[at]denx.de
Comment 8 kiwi 2003-10-09 00:18:50 UTC
Le mercredi, 8 oct 2003, =E0 16:02 Europe/Paris, Vivek Khera a =E9crit :

> I'm gonna submit an update to the port and include the version number
> fix as well.

I agree to the change requested to www/caudium-devel :)

/Xavier
Comment 9 Edwin Groothuis freebsd_committer 2003-10-09 01:14:14 UTC
Pending one is:

	orlando.bassotto@ieo-research.it
		emulators/vmware3	3.2.1-2237 => 3.2.1.2237

Edwin

-- 
Edwin Groothuis
edwin@freebsd.org
http://www.mavetju.org
Comment 10 Akinori MUSHA freebsd_committer 2003-10-23 13:56:32 UTC
State Changed
From-To: open->closed

All the ports have been dealt with, thanks!